%define threading 1
%define debugging 0

%define _default_patch_fuzz 2

%if %threading
%define thread_arch -thread-multi
%else
%define thread_arch %{nil}
%endif

%define arch %(echo %{_arch} | sed -e "s/amd64/x86_64/")
%define full_arch %{arch}-%{_os}%{thread_arch}
# Don't change to %{_libdir} as perl is clean and has arch-dependent subdirs
%define perl_root %{_prefix}/lib/perl5

Summary: The Perl programming language
Name: perl
Version: 5.10.0
%define subrel 1
Release: %mkrel 25
%define rel %{nil}
License: GPL or Artistic
Group: Development/Perl
Url: http://www.perl.org/
Epoch: 2
# ftp://ftp.funet.fi/pub/languages/perl/snap/perl@17574.tbz
#ftp://ftp.funet.fi/pub/languages/perl/CPAN/src/perl-%{version}.tar.bz2
Source0: perl-%{version}%{rel}.tar.gz
Source1: perl-headers-wanted
Source2: perl-5.8.0-RC2-special-h2ph-not-failing-on-machine_ansi_header.patch
Patch3: perl-5.8.1-RC3-norootcheck.patch
Patch6: perl-5.8.8-RC1-fix-LD_RUN_PATH-for-MakeMaker.patch
Patch14: perl-5.10.0-RC2-install-files-using-chmod-644.patch
Patch15: perl-5.10.0-lib64.patch
Patch16: perl-5.8.5-RC1-perldoc-use-nroff-compatibility-option.patch
#(peroyvind) use -fPIC in stead of -fpic or else compile will fail on sparc (taken from redhat)
Patch21: perl-5.8.1-RC4-fpic-fPIC.patch
Patch23: perl-5.8.8-patchlevel.patch
Patch24: perl-5.8.4-no-test-fcgi.patch
Patch29: perl-5.8.8-rpmdebug.patch
Patch32: perl-5.10.0-incversionlist.patch
Patch38: perl-donot-defer-sig11.patch

# allow modules in site_perl and vendor_perl to override perl builtin modules (#33090)
Patch42: perl-5.9.5-allow-to-override-core-modules.patch

Patch43: perl-5.10.0-skip-tests-using-dev-log-for-iurt.patch
Patch44: perl-5.10.0-h2ph--handle-relative-include.patch

# from upstream: http://public.activestate.com/cgi-bin/perlbrowse/p/32977 (mdvbz#36535)
Patch45: perl-fix-using-UTF-8_at_cyrillic-in-open.patch
# from upstream: http://public.activestate.com/cgi-bin/perlbrowse/p/32980 (mdvbz#36535)
Patch46: perl-fix-using-UTF-8_at_cyrillic-in-open-32980.patch
# merged upstream: http://public.activestate.com/cgi-bin/perlbrowse/p/33495
Patch47: perl-5.10.0-array-tie-segfault.patch

# mdvbz#34505, get rid of this patch as soon as possible :-/
Patch48: perl-5.10.0-workaround-segfault-freeing-scalar-a-second-time.patch
Patch49: perl-5.10.0-workaround-error-copying-freed-scalar.patch

Patch50: perl-5.10.0-mdv,bug-CVE-2008-2827.patch

# http://public.activestate.com/cgi-bin/perlbrowse/p/32891
Patch51: perl-5.10.0-fix-parameters-passing-slowdown.patch


# "format not a string literal and no format arguments"
Patch53: perl-5.10.0-format-string.patch

#
# fixes taken from debian
#
# mdv#44228, http://rt.perl.org/rt3/Public/Bug/Display.html?id=52074
# (see also http://public.activestate.com/cgi-bin/perlbrowse/p/33684)
# debian #480480
Patch62: perl-5.10.0-fix-ISA-fiddling.patch
# Incorrect substitution optimization introduced in 5.10.0 (debian #501178, perl #52658) (crash fix):
Patch63: freetmps.diff
# Fix memory corruption with in-place sorting (debian #498769, perl #54758) (segfault fix)
Patch64: inplace_sort.diff
# Fix a segmentation fault occurring in the mod_perl2 test suite (debian #475498, perl #33807)
Patch65: local_symtab.diff
# Fix memory leak with qr// (debian #503975)
Patch66: qr-memory-leak-2.diff
# NULL checks
Patch67: nullok.diff
# Fix a memory leak with Scalar::Util::weaken() (debian #506324)
Patch68: weaken_memleak.diff
# Fix memory leak in // caused by single-char character class optimization (debian #503975, perl #59516)
Patch69: qr-memory-leak-1.diff
# Fix a reference counting bug in PerlIO::via that leads to memory corruption (debian #479698)
Patch70: perlio_via_via.diff
# Fix crash on binary-or lvalue operation on qr// [rt.perl.org #54956]
Patch71: lvalue-qr-crash.diff
# Fix a segmentation fault with 'debugperl -Dm'. Upstream change 33388
Patch72: memory_debugging.diff
# Prevent setpgrp from corrupting the stack (debian #512796)
Patch73: setpgrp-stack.diff

# [SECURITY] CVE-2005-0448 revisited: File::Path::rmtree no longer allows creating of setuid files (debian #286905)
Patch74: file_path_rmtree_setuid.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: perl-base = %{epoch}:%{version}-%{release}
Provides: perl(getopts.pl)
Provides: perl(ctime.pl)
Provides: perl(flush.pl)
Provides: perl(find.pl)
Provides: perl(attributes) perl(fields) perl(locale) perl(subs)
Provides:  perl-MIME-Base64 perl-libnet perl-Storable perl-Digest-MD5 perl-Time-HiRes perl-Locale-Codes perl-Test-Simple perl-Test-Builder-Tester
Obsoletes: perl-MIME-Base64 perl-libnet perl-Storable perl-Digest-MD5 perl-Time-HiRes perl-Locale-Codes perl-Test-Simple perl-Test-Builder-Tester
Provides:  perl(version) = 1:0.74
Provides:  perl-version = 1:0.74
Obsoletes: perl-version <= 1:0.74
Provides: perl-File-Fetch = 0.14
Obsoletes: perl-File-Fetch <= 0.14
Provides: perl-CPAN = 1.9205
Obsoletes: perl-CPAN <= 1.9205
Provides: perl-IO-Zlib = 1.07
Obsoletes: perl-IO-Zlib <= 1.07
Provides: perl-Pod-Simple = 3.05
Obsoletes: perl-Pod-Simple <= 3.05
Conflicts: perl-Parse-RecDescent < 1.80-6mdk
Conflicts: perl-Filter < 1.28-6mdk
Conflicts: apache-mod_perl <= 1.3.24_1.26-1mdk
%define _requires_exceptions Mac\\|VMS\\|perl >=\\|perl(Errno)\\|perl(Fcntl)\\|perl(IO)\\|perl(IO::File)\\|perl(IO::Socket::INET)\\|perl(IO::Socket::UNIX)\\|perl(Tk)\\|perl(Tk::Pod)\\|perlapi-

# for NDBM
BuildRequires: db4-devel
BuildRequires: gdbm-devel
%if "%{_lib}" == "lib64"
BuildRequires: devel(libgdbm_compat(64bit))
%else
BuildRequires: devel(libgdbm_compat)
%endif
BuildRequires: rpm-mandriva-setup-build >= 1.8

BuildRequires: man

%package base
Version: %{version}
Summary: The Perl programming language (base)
Provides: perl(v5.6.0) perl(base) perl(bytes) perl(constant) perl(integer) perl(lib) perl(overload) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Carp::Heavy)
Group: Development/Perl
Url: http://www.perl.org/
Provides: perlapi-5.10.0
# explicit file provides
Provides: /usr/bin/perl
# perlapi-xxx didn't exist for 5.8.8, so we need to put the more important conflicts:
Conflicts: perl-URPM < 3.07-2
Conflicts: perl-RPM4 < 0.23-4
Conflicts: perl-Locale-gettext < 1.05-6
Conflicts: perl-Digest-SHA1 < 2.11-4
Conflicts: perl-Net-DBus < 0.33.5-2
Conflicts: perl-XML-Parser < 2.35
Conflicts: drakxtools-backend < 10.6.4

%package devel
Version: %{version}
Summary: The Perl programming language (devel)
Group: Development/Perl
Url: http://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}

%package doc
Version: %{version}
Summary: The Perl programming language (documentation)
Group: Development/Perl
Url: http://www.perl.org/
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: groff-for-man

%package suid
Version: %{version}
Summary: The Perl programming language (suidperl)
Group: Development/Perl
Url: http://www.perl.org/
Requires: %{name}-base = %{epoch}:%{version}-%{release}

%description
Perl is a high-level programming language with roots in C, sed, awk
and shell scripting.  Perl is good at handling processes and files,
and is especially good at handling text.  Perl's hallmarks are
practicality and efficiency.  While it is used to do a lot of
different things, Perl's most common applications (and what it excels
at) are probably system administration utilities and web programming.
A large proportion of the CGI scripts on the web are written in Perl.
You need the perl package installed on your system so that your
system can handle Perl scripts.

You need perl-base to have a full perl.

%description base
This is the base package for %{name}.

%description devel
This is the devel package for %{name}.

%description doc
This is the documentation package for %{name}.
It contains also the 'perldoc' program.

%description suid
This is the package that provides suidperl, a secure way to
write suid perl scripts.

%prep
%setup -q -n %{name}-%{version}%{rel}
%patch3 -p1
%patch6 -p0
%patch14 -p1
%patch15 -p1
%patch16 -p0
%patch21 -p1 -b .peroyvind
%patch23 -p0
%patch24 -p0
%patch29 -p0
%patch32 -p1
%patch38 -p0
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1 -b .array-tie-segfault
%patch48 -p1
%patch49 -p1

%patch50 -p1
%patch51 -p1
%patch53 -p1

%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1

remove_from_lists() {
    perl -ni -e "m!^\Q$1! or print" MANIFEST
    perl -ni -e "m!^\Q$1! or print" utils.lst
}
remove_files() {
    rm -r $1
    remove_from_lists $1
}
remove_files_all() {
    rm -r $1*
    remove_from_lists $1
}
remove_util() {
    perl -pi -e "/^plextract/ and s/\s$1\b//" utils/Makefile.SH
}

chmod u+w -R *
# perl-Archive-Tar
remove_files lib/Archive/Tar.pm
remove_files lib/Archive/Tar/
remove_files_all utils/ptar
remove_util ptar
remove_util ptardiff
# perl-Digest-SHA
remove_files ext/Digest/SHA/
remove_files_all utils/shasum
remove_util shasum
# perl-CPANPLUS
remove_files lib/CPANPLUS.pm
remove_files lib/CPANPLUS/
remove_util cpan2dist
remove_util cpanp-run-perl
remove_util cpanp
# perl-Module-CoreList
remove_files lib/Module/CoreList.pm
remove_files lib/Module/CoreList/
remove_util corelist
# perl-Module-Build
remove_files lib/Module/Build.pm
remove_files lib/Module/Build/
remove_util config_data
# perl-CGI
remove_files lib/CGI.pm
remove_files lib/CGI/
# perl-Compress-Raw-Zlib
remove_files ext/Compress/Raw/Zlib
# perl-Compress-Zlib
remove_files ext/Compress/Zlib
# perl-IO-Compress-Zlib
remove_files ext/IO_Compress_Zlib
# perl-IO-Compress-Base
remove_files ext/IO_Compress_Base
# perl-Archive-Extract
remove_files lib/Archive/Extract.pm
remove_files lib/Archive/Extract/
# perl-Time-Piece
remove_files ext/Time/Piece

%build
%ifarch ppc
   RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS"|sed -e 's/-O2/-O1/g'`
%endif

sh Configure -des \
  -Dinc_version_list="5.8.8 5.8.7 5.8.6 5.8.5 5.8.4 5.8.3 5.8.2 5.8.1 5.8.0 5.6.1 5.6.0" \
  -Darchname=%{arch}-%{_os} \
  -Dcc='%{__cc}' \
%if %debugging
  -Doptimize=-g -DDEBUGGING \
%else
  -Doptimize="$RPM_OPT_FLAGS" -DDEBUGGING=-g \
%endif
  -Dprefix=%_prefix -Dvendorprefix=%_prefix \
  -Dsiteprefix=%_prefix -Dsitebin=%_prefix/local/bin \
  -Dsiteman1dir=%_prefix/local/share/man/man1 \
  -Dsiteman3dir=%_prefix/local/share/man/man3 \
  -Dman3ext=3pm \
  -Dcf_by=Mandriva -Dmyhostname=localhost -Dperladmin=root@localhost -Dcf_email=root@localhost  \
  -Dd_dosuid \
  -Ud_csh \
  -Duseshrplib \
%if %threading
  -Duseithreads \
%endif
%ifarch %{sunsparc}
  -Ud_longdbl \
%endif
  -Di_db \
  -Di_ndbm \
  -Di_gdbm \

%make

%check
# for test, building a perl with no rpath
# for test, unset RPM_BUILD_ROOT so that the MakeMaker trick is not triggered
rm -f perl
RPM_BUILD_ROOT="" make test_harness_notty CCDLFLAGS=
rm -f perl
make perl

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -d $RPM_BUILD_ROOT%{perl_root}/vendor_perl/%{version}/%{full_arch}/auto

# We prefer 0755 instead of 0555
find $RPM_BUILD_ROOT -name "*.so" | xargs chmod 0755

cp -f utils/h2ph utils/h2ph_patched
cat %{SOURCE2} | patch -p1

# LD_PRELOAD doesn't work... why?
LD_LIBRARY_PATH=`pwd` ./perl -Ilib utils/h2ph_patched -a -d $RPM_BUILD_ROOT%{perl_root}/%{version}/%{full_arch} `cat %{SOURCE1}` > /dev/null ||:

(
    # i don't like hardlinks, having symlinks instead:
    cd $RPM_BUILD_ROOT%{_bindir}
    ln -sf perl5 perl
    ln -s perl%{version} perl5
)

rm -f $RPM_BUILD_ROOT%{_bindir}/perlivp $RPM_BUILD_ROOT%{_mandir}/man1/perlivp.1

%ifarch ppc
perl -ni -e 'print if !/sub __syscall_nr/' $RPM_BUILD_ROOT%{perl_root}/%{version}/%{full_arch}/asm/unistd.ph
%endif

%ifarch ppc
perl -ni -e 'print unless m/sub __syscall_nr/' $RPM_BUILD_ROOT/%{perl_root}/%{version}/%{full_arch}/asm/unistd.ph
%endif

# call spec-helper before creating the file list
# (spec-helper removes some files, and compress some others)
%define dont_strip 1
%{?__spec_helper_post}
%undefine dont_strip

(
   cat > perl-base.list <<EOF
%{_bindir}/perl
%{_bindir}/perl5
%{_bindir}/perl%{version}
%dir %{perl_root}
%dir %{perl_root}/%{version}
%dir %{perl_root}/%{version}/File
%{perl_root}/%{version}/File/Basename.pm
%{perl_root}/%{version}/File/Find.pm
%{perl_root}/%{version}/File/Path.pm
%{perl_root}/%{version}/File/Spec.pm
%dir %{perl_root}/%{version}/File/Spec
%{perl_root}/%{version}/File/Spec/Unix.pm
%dir %{perl_root}/%{version}/Getopt
%{perl_root}/%{version}/Getopt/Long.pm
%{perl_root}/%{version}/Getopt/Std.pm
%dir %{perl_root}/%{version}/Time
%{perl_root}/%{version}/Time/Local.pm
%{perl_root}/%{version}/AutoLoader.pm
%dir %{perl_root}/%{version}/Carp
%{perl_root}/%{version}/Carp.pm
%{perl_root}/%{version}/Carp/Heavy.pm
%{perl_root}/%{version}/DirHandle.pm
%{perl_root}/%{version}/%{full_arch}/Errno.pm
%dir %{perl_root}/%{version}/Exporter
%{perl_root}/%{version}/Exporter/Heavy.pm
%{perl_root}/%{version}/Exporter.pm
%{perl_root}/%{version}/FileHandle.pm
%{perl_root}/%{version}/PerlIO.pm
%{perl_root}/%{version}/SelectSaver.pm
%{perl_root}/%{version}/Symbol.pm
%dir %{perl_root}/%{version}/Tie
%{perl_root}/%{version}/Tie/Hash.pm
%{perl_root}/%{version}/base.pm
%{perl_root}/%{version}/bytes.pm
%{perl_root}/%{version}/bytes_heavy.pl
%{perl_root}/%{version}/constant.pm
%{perl_root}/%{version}/feature.pm
%{perl_root}/%{version}/integer.pm
%{perl_root}/%{version}/overload.pm
%{perl_root}/%{version}/strict.pm
%{perl_root}/%{version}/utf8.pm
%{perl_root}/%{version}/utf8_heavy.pl
%{perl_root}/%{version}/unicore/Exact.pl
%{perl_root}/%{version}/unicore/Canonical.pl
%{perl_root}/%{version}/unicore/PVA.pl
%{perl_root}/%{version}/unicore/To/Lower.pl
%{perl_root}/%{version}/unicore/To/Fold.pl
%{perl_root}/%{version}/unicore/To/Upper.pl
%{perl_root}/%{version}/unicore/lib/gc_sc/Word.pl
%{perl_root}/%{version}/unicore/lib/gc_sc/Digit.pl
%{perl_root}/%{version}/vars.pm
%dir %{perl_root}/%{version}/warnings
%{perl_root}/%{version}/warnings/register.pm
%{perl_root}/%{version}/warnings.pm
%dir %{perl_root}/%{version}/%{full_arch}
%dir %{perl_root}/%{version}/%{full_arch}/Data
%{perl_root}/%{version}/%{full_arch}/lib.pm
%{perl_root}/%{version}/%{full_arch}/Cwd.pm
%{perl_root}/%{version}/%{full_arch}/Data/Dumper.pm
%{perl_root}/%{version}/%{full_arch}/Fcntl.pm
%dir %{perl_root}/%{version}/%{full_arch}/File
%{perl_root}/%{version}/%{full_arch}/File/Glob.pm
%{perl_root}/%{version}/%{full_arch}/IO.pm
%dir %{perl_root}/%{version}/%{full_arch}/IO
%{perl_root}/%{version}/%{full_arch}/IO/File.pm
%{perl_root}/%{version}/%{full_arch}/IO/Handle.pm
%{perl_root}/%{version}/%{full_arch}/IO/Seekable.pm
%{perl_root}/%{version}/%{full_arch}/IO/Select.pm
%{perl_root}/%{version}/%{full_arch}/IO/Socket.pm
%dir %{perl_root}/%{version}/%{full_arch}/auto
%dir %{perl_root}/%{version}/%{full_arch}/auto/Cwd
%{perl_root}/%{version}/%{full_arch}/auto/Cwd/Cwd.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/DynaLoader
%{perl_root}/%{version}/%{full_arch}/auto/DynaLoader/dl_findfile.al
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data
%dir %{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper
%{perl_root}/%{version}/%{full_arch}/auto/Data/Dumper/Dumper.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Fcntl
%{perl_root}/%{version}/%{full_arch}/auto/Fcntl/Fcntl.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/File
%dir %{perl_root}/%{version}/%{full_arch}/auto/File/Glob
%{perl_root}/%{version}/%{full_arch}/auto/File/Glob/Glob.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/IO
%{perl_root}/%{version}/%{full_arch}/auto/IO/IO.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/POSIX
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/POSIX.so
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/autosplit.ix
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/load_imports.al
%{perl_root}/%{version}/%{full_arch}/auto/POSIX/tmpfile.al
%dir %{perl_root}/%{version}/%{full_arch}/auto/Socket
%{perl_root}/%{version}/%{full_arch}/auto/Socket/Socket.so
%dir %{perl_root}/%{version}/%{full_arch}/auto/Storable
%{perl_root}/%{version}/%{full_arch}/auto/Storable/Storable.so
%{perl_root}/%{version}/%{full_arch}/auto/Storable/autosplit.ix
%{perl_root}/%{version}/%{full_arch}/auto/Storable/store.al
%{perl_root}/%{version}/%{full_arch}/auto/Storable/_store.al
%{perl_root}/%{version}/%{full_arch}/auto/Storable/retrieve.al
%{perl_root}/%{version}/%{full_arch}/auto/Storable/_retrieve.al
%dir %{perl_root}/%{version}/%{full_arch}/auto/re
%{perl_root}/%{version}/%{full_arch}/auto/re/re.so
%{perl_root}/%{version}/%{full_arch}/Config.pm
%{perl_root}/%{version}/%{full_arch}/DynaLoader.pm
%{perl_root}/%{version}/%{full_arch}/POSIX.pm
%{perl_root}/%{version}/%{full_arch}/Socket.pm
%{perl_root}/%{version}/%{full_arch}/Storable.pm
%{perl_root}/%{version}/%{full_arch}/re.pm
%{perl_root}/%{version}/%{full_arch}/XSLoader.pm
%dir %{perl_root}/%{version}/%{full_arch}/CORE
%{perl_root}/%{version}/%{full_arch}/CORE/libperl.so
%dir %{perl_root}/%{version}/%{full_arch}/asm
%dir %{perl_root}/%{version}/%{full_arch}/bits
%dir %{perl_root}/%{version}/%{full_arch}/sys
%{perl_root}/%{version}/%{full_arch}/asm/unistd.ph
%ifarch ia64
%{perl_root}/%{version}/%{full_arch}/asm/break.ph
%endif
%ifarch x86_64
%{perl_root}/%{version}/%{full_arch}/bits/wordsize.ph
%endif
%ifarch %ix86 x86_64
%{perl_root}/%{version}/%{full_arch}/asm/unistd_32.ph
%{perl_root}/%{version}/%{full_arch}/asm/unistd_64.ph
%endif
%ifarch ppc64
%{perl_root}/%{version}/%{full_arch}/asm-ppc/unistd.ph
%{perl_root}/%{version}/%{full_arch}/asm-ppc64/unistd.ph
%{perl_root}/%{version}/%{full_arch}/bits/wordsize.ph
%endif
%{perl_root}/%{version}/%{full_arch}/bits/syscall.ph
%{perl_root}/%{version}/%{full_arch}/sys/syscall.ph
%{perl_root}/%{version}/%{full_arch}/_h2ph_pre.ph
%{perl_root}/%{version}/%{full_arch}/syscall.ph
EOF

   cat > perl.list <<EOF
%doc README
%doc Artistic
%{_bindir}/a2p
%{_bindir}/perlbug
%{_bindir}/find2perl
%{_bindir}/pod2man
%{_bindir}/pod2html
%{_bindir}/pod2text
%{_bindir}/pod2latex
%{_bindir}/splain
%{_bindir}/s2p
EOF

   cat > perl-doc.list <<EOF
%{_bindir}/perldoc
%{_mandir}/man1/perldoc.*
%{perl_root}/%{version}/Pod/Perldoc.pm
%dir %{perl_root}/%{version}/Pod/Perldoc
%{perl_root}/%{version}/Pod/Perldoc/BaseTo.pm
%{perl_root}/%{version}/Pod/Perldoc/GetOptsOO.pm
%{perl_root}/%{version}/Pod/Perldoc/ToChecker.pm
%{perl_root}/%{version}/Pod/Perldoc/ToMan.pm
%{perl_root}/%{version}/Pod/Perldoc/ToNroff.pm
%{perl_root}/%{version}/Pod/Perldoc/ToPod.pm
%{perl_root}/%{version}/Pod/Perldoc/ToRtf.pm
%{perl_root}/%{version}/Pod/Perldoc/ToText.pm
%{perl_root}/%{version}/Pod/Perldoc/ToTk.pm
%{perl_root}/%{version}/Pod/Perldoc/ToXml.pm
EOF

   cat > perl-devel.list <<EOF
%{_bindir}/cpan
%{_bindir}/pstruct
%{_bindir}/piconv
%{_bindir}/dprofpp
%{_bindir}/c2ph
%{_bindir}/h2xs
%{_bindir}/enc2xs
%{_bindir}/instmodsh
%{_bindir}/libnetcfg
%{_bindir}/h2ph
%{_bindir}/pl2pm
%{_bindir}/podchecker
%{_bindir}/podselect
%{_bindir}/pod2usage
%{_bindir}/psed
%{_bindir}/prove
%{_bindir}/xsubpp
%{perl_root}/%{version}/Encode/encode.h
%{perl_root}/%{version}/%{full_arch}/CORE/EXTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/INTERN.h
%{perl_root}/%{version}/%{full_arch}/CORE/XSUB.h
%{perl_root}/%{version}/%{full_arch}/CORE/av.h
%{perl_root}/%{version}/%{full_arch}/CORE/cc_runtime.h
%{perl_root}/%{version}/%{full_arch}/CORE/cop.h
%{perl_root}/%{version}/%{full_arch}/CORE/cv.h
%{perl_root}/%{version}/%{full_arch}/CORE/dosish.h
%{perl_root}/%{version}/%{full_arch}/CORE/embed.h
%{perl_root}/%{version}/%{full_arch}/CORE/embedvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/fakesdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/fakethr.h
%{perl_root}/%{version}/%{full_arch}/CORE/form.h
%{perl_root}/%{version}/%{full_arch}/CORE/gv.h
%{perl_root}/%{version}/%{full_arch}/CORE/handy.h
%{perl_root}/%{version}/%{full_arch}/CORE/hv.h
%{perl_root}/%{version}/%{full_arch}/CORE/intrpvar.h
%{perl_root}/%{version}/%{full_arch}/CORE/iperlsys.h
%{perl_root}/%{version}/%{full_arch}/CORE/keywords.h
%{perl_root}/%{version}/%{full_arch}/CORE/malloc_ctl.h
%{perl_root}/%{version}/%{full_arch}/CORE/mg.h
%{perl_root}/%{version}/%{full_arch}/CORE/nostdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/op.h
%{perl_root}/%{version}/%{full_arch}/CORE/opcode.h
%{perl_root}/%{version}/%{full_arch}/CORE/opnames.h
%{perl_root}/%{version}/%{full_arch}/CORE/overload.h
%{perl_root}/%{version}/%{full_arch}/CORE/pad.h
%{perl_root}/%{version}/%{full_arch}/CORE/parser.h
%{perl_root}/%{version}/%{full_arch}/CORE/patchlevel.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlapi.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perliol.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlsdio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlsfio.h
%{perl_root}/%{version}/%{full_arch}/CORE/perlvars.h
%{perl_root}/%{version}/%{full_arch}/CORE/perly.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp.h
%{perl_root}/%{version}/%{full_arch}/CORE/pp_proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/proto.h
%{perl_root}/%{version}/%{full_arch}/CORE/reentr.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcharclass.h
%{perl_root}/%{version}/%{full_arch}/CORE/regcomp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regexp.h
%{perl_root}/%{version}/%{full_arch}/CORE/regnodes.h
%{perl_root}/%{version}/%{full_arch}/CORE/scope.h
%{perl_root}/%{version}/%{full_arch}/CORE/sperl.o
%{perl_root}/%{version}/%{full_arch}/CORE/sv.h
%{perl_root}/%{version}/%{full_arch}/CORE/thread.h
%{perl_root}/%{version}/%{full_arch}/CORE/uconfig.h
%{perl_root}/%{version}/%{full_arch}/CORE/unixish.h
%{perl_root}/%{version}/%{full_arch}/CORE/utf8.h
%{perl_root}/%{version}/%{full_arch}/CORE/utfebcdic.h
%{perl_root}/%{version}/%{full_arch}/CORE/util.h
%{perl_root}/%{version}/%{full_arch}/CORE/uudmap.h
%{perl_root}/%{version}/%{full_arch}/CORE/warnings.h
EOF

   rel_perl_root=`echo %{perl_root} | sed "s,/,,"`
   rel_mandir=`echo %{_mandir} | sed "s,/,,"`
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} "(" -name "*.pod" -o -iname "Changes*" -o -iname "ChangeLog*" -o -iname "README*" ")" -a -not -name perldiag.pod -printf "%%%%doc /%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man1 ! -name "perlivp.1*" ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3 ! -type d ! -name "Pod::Perldoc*" -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_mandir/man3 ! -type d -name "Pod::Perldoc*" -printf "/%%p\n") >> perl-doc.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} ! -type d -printf "/%%p\n") >> perl.list
   (cd $RPM_BUILD_ROOT ; find $rel_perl_root/%{version} -type d -printf "%%%%dir /%%p\n") >> perl.list

   perl -ni -e 'BEGIN { open F, "perl-base.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-devel.list"; $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
   perl -ni -e 'BEGIN { open F, "perl-doc.list"; s/^.doc //, $s{$_} = 1 foreach <F>; } print unless $s{$_}' perl.list
)

%clean
rm -rf $RPM_BUILD_ROOT

%files -f perl.list
%defattr(-,root,root)

%files base -f perl-base.list
%defattr(-,root,root)
%{perl_root}/vendor_perl

%files devel -f perl-devel.list
%defattr(-,root,root)

%files doc -f perl-doc.list
%defattr(-,root,root)

%files suid
%{_bindir}/suidperl
%attr(4711,root,root) %{_bindir}/sperl%{version}




%changelog
* Tue Nov 24 2009 Eugeni Dodonov <eugeni@mandriva.com> 2:5.10.0-25.1mdv2009.0
- built for updates

* Mon Nov 16 2009 Thierry Vignaud <tvignaud@mandriva.com> 2:5.10.0-25mdv2009.0
+ Revision: 466647
- merge some fixes from debian:
- patch 53: Incorrect substitution optimization introduced in 5.10.0
  (debian #501178, perl #52658) (crash fix):
- patch 54: Fix memory corruption with in-place sorting (debian
  #498769, perl #54758) (segfault fix)
- patch 55: Fix a segmentation fault occurring in the mod_perl2 test
  suite (debian #475498, perl #33807)
- patch 56: Fix memory leak with qr// (debian #503975)
- patch 57: NULL checks
- patch 58: Fix a memory leak with Scalar::Util::weaken() (debian
  #506324)
- patch 59: Fix memory leak in // caused by single-char character
  class optimization (debian #503975, perl #59516)
- patch 60: Fix a reference counting bug in PerlIO::via that leads to
  memory corruption (debian #479698)
- patch 61: Fix crash on binary-or lvalue operation on qr//
  [rt.perl.org #54956]
- patch 62: Fix a segmentation fault with 'debugperl -Dm' (Upstream
  change 33388)
- patch 63: Prevent setpgrp from corrupting the stack (debian #512796)
- patch 70: [SECURITY] CVE-2005-0448 revisited: File::Path::rmtree no
  longer allows creating of setuid files (debian #286905)

* Thu Sep 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2:5.10.0-21mdv2009.0
+ Revision: 285750
- upstream patch: fix parameters passing slowdown

  + Pixel <pixel@mandriva.com>
    - provides perl(version) (#43238)

* Thu Sep 11 2008 Michael Scherer <misc@mandriva.org> 2:5.10.0-20mdv2009.0
+ Revision: 283680
- add security fix for #42628, and various whitespace automated fix

* Tue Aug 26 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-19mdv2009.0
+ Revision: 276193
- fix build of debug packages (new strip_and_check_elf_files does not handle DONT_STRIP if not exported)

* Tue Aug 19 2008 Pixel <pixel@mandriva.com> 2:5.10.0-18mdv2009.0
+ Revision: 273938
- bytes.pm uses bytes_heavy.pl, not bytes_heavy.pm
- move bytes_heavy.pm to perl-base (it is used by bytes.pm)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:5.10.0-15mdv2009.0
+ Revision: 218044
- rebuild

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2:5.10.0-14mdv2009.0
+ Revision: 209505
- get rid of the db1-devel and db2-devel build deps, db4-devel is enough

* Tue Apr 01 2008 Pixel <pixel@mandriva.com> 2:5.10.0-13mdv2008.1
+ Revision: 191443
- try again to workaround a segfault (which is now a "clean" panic) (#34505)
- tentative to workaround a segfault (#34505)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-11mdv2008.1
+ Revision: 190713
- really generate debug package (by not stripping files when running spec-helper hack)

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-10mdv2008.1
+ Revision: 187849
- move the perlapi-5.8.8 explicit conflict from perl to perl-base
  (since it is perl-base which provides perlapi-xxx)

* Thu Mar 13 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-9mdv2008.1
+ Revision: 187564
- fix segfault with array ties (patch submitted and merged upstream, RT #51636)

* Wed Mar 12 2008 Olivier Blin <oblin@mandriva.com> 2:5.10.0-8mdv2008.1
+ Revision: 187133
- build with -g even when debugging is disabled (without enabling perl debugging)

  + Pixel <pixel@mandriva.com>
    - urpmi's priority upgrade must include perl-XML-Parser otherwise urpmi will fail to load Hal::Cdrom

* Mon Mar 10 2008 Pixel <pixel@mandriva.com> 2:5.10.0-7mdv2008.1
+ Revision: 183653
- urpmi's priority upgrade must include perl-Net-DBus otherwise urpmi will fail to load Hal::Cdrom

* Mon Mar 03 2008 Pixel <pixel@mandriva.com> 2:5.10.0-6mdv2008.1
+ Revision: 177964
- add Obsoletes/Provides on perl-File-Fetch perl-CPAN perl-IO-Zlib
  perl-Pod-Simple (which are included in main perl) (#37445)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 2:5.10.0-5mdv2008.1
+ Revision: 156194
- provide perl-version (needed since we obsolete it)

* Mon Jan 21 2008 Pixel <pixel@mandriva.com> 2:5.10.0-4mdv2008.1
+ Revision: 155899
- add obsoletes on perl-version <= 0.74 (since perl now bundles it)
- move feature.pm to perl-base (esp. for "state", cf perldelta(1))
- keep module perl-Time-Piece outside of perl
- fix putting pod files in perl-doc
- keep modules perl-IO-Compress-Base outside of perl
- keep modules perl-IO-Compress-Zlib and perl-Archive-Extract outside of perl
- another fix for #36535, thanks to Mashrab Kuvatov
- fix using open :locale under UTF-8@cyrillic locale (mdvbz#36535)

* Tue Jan 15 2008 Pixel <pixel@mandriva.com> 2:5.10.0-3mdv2008.1
+ Revision: 152152
- move perlapi-5.10.0 provide to perl-base
- move Tie::Hash to perl-base (since module POSIX uses it)
- keep modules perl-Compress-Raw-Zlib and perl-Compress-Zlib outside of perl
- really fix asm/unistd.ph

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-2mdv2008.1
+ Revision: 151585
- fix asm/unistd.ph (through a fix in h2ph which could not handle glibc 2.7 asm/unistd.h)
- normalize call to h2ph
- also conflict with drakxtools-backend built with 5.8.8

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2:5.10.0-1mdv2008.1
+ Revision: 151160
- also conflict perl-Digest-SHA1 built with 5.8.8 (perl-RPM4 requires perl-Digest-SHA1)
- disable test using /dev/log which is not available in iurt
- we do not want the perlapi-xxx require on installed perl
- adapt to "Source2" not being compressed anymore
- fix build

* Fri Dec 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:5.8.8-14mdv2008.1
+ Revision: 136449
- source 3: temporary prevent uploading perl since we would have to rebuild every binary package (postponed until early january)
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - switch to threading again
      (since it can be useful, and other distros have it enabled)
    - 5.10.0:
      o provide perlapi-5.10.0 so that binary modules can require it and ensure
        correct upgrades in the future (a la debian)
      o conflict with important perl packages that would break
        (we can't list them all)
      o not including bundled modules already in existing packages and would conflict:
        Archive::Tar, Digest::SHA, CPANPLUS, Module::CoreList, Module::Build
      o rediff patches: patch14, patch15 (lib64), patch32 (inversionlist), patch42
        (allow override core modules)
      o drop applied upstream patches: patch33, patch35 (Net::NNTP::body and
        Net::NNTP::head would need the fix too?), patch36, patch37, patch39,
        patch40, patch41, patch43
      o perlcc is no more

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 15 2007 Pixel <pixel@mandriva.com> 2:5.8.8-13mdv2008.1
+ Revision: 108943
- allow modules in site_perl and vendor_perl to override perl builtin modules (#33090)
- backport fix from Math-Complex-1.37 (#35488)
- handle Pod::Perldoc manpages in perl-doc through file list
- don't list twice Pod/Perldoc/* modules
- remove old broken perldiag special case
- fix security issue in regexp engine (#35333)
- adapt to man pages being compressed with lzma
- spec-helper script is no more, use the rpm macro instead
- fix weird *old* rgs typo (how did rpm build with this?!)
- fix compiling with gcc 4.2.x

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    -Ud_longdbl on all sparcs (%%sunsparc)
    - do parallell build

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 2:5.8.8-12mdv2008.0
+ Revision: 19552
- explicit file provide /usr/bin/perl

* Mon Apr 23 2007 Pixel <pixel@mandriva.com> 2:5.8.8-11mdv2008.0
+ Revision: 17453
- remove bad provides libperl.so from perl
  (libperl.so is still provided by perl-base)


* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 5.8.8-10mdv2007.1
+ Revision: 145069
- move some more files (needed to run XFdrake)

* Mon Feb 12 2007 Pixel <pixel@mandriva.com> 2:5.8.8-9mdv2007.1
+ Revision: 118871
- fix segfault (bugzilla #28537, perl #41442)

  + Rafael Garcia-Suarez <rgarciasuarez@mandriva.com>
    - ppc64 fixes from Gwenole Beauchesne (from CS3).
      Bunzip patches.
    - Import perl

* Sat Sep 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 5.8.8-7mdv2007.0
- patch 38: do not defer sig11 (aka segfaulting, #18087)

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2:5.8.8-6mdk
- rebuilt due to missing perl-doc package for x86_64

* Sat May 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-5mdk
- Rebuild with new rpm-mandriva-setup

* Thu May 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-4mdk
- Drop patch 20 (loading of .pm.gz files, no longer used in gi, could
  be done in pure perl with @INC hooks)

* Sun Mar 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-3mdk
- Remove PERL_DISABLE_PMC from the CCFLAGS, as requested by Audrey Tang
- Remove german translations

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-2mdk
- Integrate upstream patches:
- patch 34 (#27210): buglet in c2ph
- patch 35 (#27211): buglet in Net::NNTP
- patch 36 (#27359): make -d:Foo=bar work again
- patch 37 (#27363): include predefined gcc macros in translated system headers

* Wed Feb 01 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-1mdk
- 5.8.8
- Remove patch 12 (MakeMaker hack for old rpm conventions)
- Rediff patch 23
- Remove patches 34 and 35, integrated upstream

* Thu Jan 26 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.4mdk
- Turn on -g optimisation so perl is built without -DDEBUGGING

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.3mdk
- Add patch 34 (upstream 26920) : restore compatibility with swig
- Add patch 35 (upstream 26940) : fix suidperl bug

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.2mdk
- Add patch 33 (upstream 26536) to fix bug 20129

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.8-0.RC1.1mdk
- New version
- Rediff patches 20, 23, 29
- Remove half of patch 6, integrated upstream
- Remove patches 22, 26, 27, 28, 30, 31, 33, 34, integrated upstream
- Remove patch 25, obsolete
- Obsoletes perl-Test-Builder-Tester

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-9mdk
- lib64 fix to buildrequires (Per yvind Karlsen)
- Patch 34: upstream 26812, h2ph improvement, fixes build on linux-sparc64

* Thu Dec 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-8mdk
- Patch 33: fix for CVE-2005-3962

* Mon Nov 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-7mdk
- Upgrade core modules List::Util and Getopt::Long to latest CPAN versions
  (patches 30 and 31)
- Always set up @INC correctly even if older directories don't exist on the
  build machine (patch 32)

* Fri Nov 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-6mdk
- Patch 29: patch default MANIFEST.SKIP allow Module::Signature to work even
  when building rpms with debug packages enabled

* Fri Oct 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-5mdk
- BuildRequires recent rpm-mandriva-setup-build

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-4mdk
- Upgrade to Storable 2.15 (patch 28)
- Fix installation of sperl as setuid

* Wed Aug 10 2005 Pixel <pixel@mandriva.com> 5.8.7-3mdk
- on x86_64, bits/syscall.ph requires bits/wordsize.ph

* Tue Aug 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-2mdk
- Add patch 27 (CAN-2005-0448)

* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.8.7-1mdk
- 5.8.7
- Define sitebin to /usr/local/bin and siteman* to /usr/local/man/...
- Replace Mandrakelinux by Mandriva Linux

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:5.8.7-0.RC1.1mdk
- 5.8.7 RC1
- Remove patch 27, 28, 29, 30, merged upstream

* Sat Apr 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.8.6-7mdk
- Put sperl and suidperl in their own package perl-suid

* Mon Feb 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-6mdk
- Add patches 28 et 30 (security updates)

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-5mdk
- Fix local root exploit and buffer overflow (patch 28) (perlbug #33990)

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-4mdk
- Move the Pod::Perldoc::* modules to perl-doc
- Add Artistic licence in doc

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-3mdk
- Fixes (or workarounds) for build issues on x86_64
- add a "debugging" flag to build perls with -D enabled

* Wed Dec 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-2mdk
- Integrate patch 23565 from the maint branch (as patch 27):
  MakeMaker's default MANIFEST.SKIP was borked

* Mon Nov 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-1mdk
- 5.8.6
- use "make test_harness_notty" for testing
- fix invocation of h2ph with correct libperl.so

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.6-0.RC1.1mdk
- New version 5.8.6-RC1
- Remove support for threads
- Remove bincompat directories (since we break binary compatibility)
- Remove patch 27, merged upstream

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-4mdk
- Upgrade to MIME::Base64 3.05 (for perl-MIME-tools, security update)
- BuildRequire: libgdbm_compat (bugs #12036 and #12136)

* Fri Aug 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-3mdk
- Fix for generation of unistd.ph on ppc (Christiaan Welvaart)

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-2mdk
- Add a patch to prevent including an empty rpath in .so files produced
  by MakeMaker

* Wed Jul 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-1mdk
- 5.8.5.
- Move unicore/PVA.pl into perl-base.

* Fri Jul 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC2.1mdk
- RC2. Remove patch #23063.

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC1.2mdk
- Merged patch #23063: perl wasn't able to upgrade a literal undef to
  UTF-8 anymore. This broke Gtk2.

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.5-0.RC1.1mdk
- New version
- Remove patches merged upstream
- Fix CPAN signature test when Module::Signature is installed

* Tue Jun 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-13mdk
- Move Getopt::Std from perl to perl-base
- Move some changelogs from perl to perl-doc

* Sat Jun 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-12mdk
- Move CORE/config.h from perl-devel to perl. This is necessary for MakeMaker
  (and thus CPAN.pm) to work.

* Wed Jun 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-11mdk
- Carp::Heavy should be in perl-base, as it's required by Carp.pm
- Add manually a provides for perl(Carp::Heavy)

* Mon Jun 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-10mdk
- Further h2ph patches.

* Sun Jun 13 2004 Robert Vojta <robert.vojta@mandrake.org> 5.8.4-9mdk
- patches 42 and 43 temporarily disabled (see #10035)

* Sat Jun 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-8mdk
- Remove redundant BuildRequires
- Add two more h2ph patches from the development branch

* Sat Jun 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-7mdk
- Add BuildRequires glibc-devel

* Fri Jun 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-6mdk
- integrate patch #22925 from the development branch :
  Make h2ph able to understand a limited set of inline functions.
  This fixes the generation of some .ph files.

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-5mdk
- Restore loading of .pm.gz files by adjusting patch #20

* Wed Jun 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-4mdk
- Add compilation flag -DPERL_DISABLE_PMC
- Rebuild with new gcc

* Thu May 27 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-3mdk
- Add a bunch of patches from the maintainance branch

* Thu May 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-2mdk
- psed(1) wasn't installed
- the manpage for perlivp(1) (which isn't installed) was installed
- remove perldiag.pod from perl-doc

* Fri Apr 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-1mdk
- 5.8.4
- remove setuidperl, it was a transient RC2 tryout
- the only setuid executable is sperl5.8.4
- force gcc optimisation level to -O1 on ppc
- disable test lib/CGI/t/fast.t, which may fail if perl-FCGI is already
  installed on the system.

* Sat Apr 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC2.1mdk
- RC2
- remove setuid bit on sperl and suidperl
- new setuid executable setuidperl
- use 'make test_harness' instead of 'make test'
- add a note in the 'perl -V' output to mention MandrakeSoft patches

* Wed Apr 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC1.2mdk
- Restore 5.8.1/i386-linux in the inc_version_list, at least until
  all the packages from the CPAN are upgraded

* Wed Apr 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.8.4-0.RC1.1mdk
- changed perl URL
- FHS-compliance patch is no longer needed
- A more recent Getopt::Long is now bundled with perl, remove it
- remove 5.8.1/i386-linux from the inc_version_list, because 5.8.1 is
  binary incompatible with every other 5.8.x
- Add Errno.pm to perl-base

